POST
/v1/tag#resourceArn
http://codeartifact.{region}.amazonaws.com/v1/tag#resourceArnAdds or updates tags for a resource in CodeArtifact.
Access Token Required: API Key
Query Params
resourceArnstringrequired
The Amazon Resource Name (ARN) of the resource that you want to add or update tags for.
Body Params
tagsarrayrequired
The tags you want to modify or add to the resource.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://codeartifact.{region}.amazonaws.com/v1/tag#resourceArn' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}